Full Calendar

Bootstrap full calendar plugin

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Bootstrap full calendar plugin is an extension that allows you to create calendar functionality.

Thanks to this plugin you will be able to easily create new events, manage current events, move existing events between other days, and integrate with your Google Calendar.

To start working with full calendar plugin see "Getting Started" tab on this page.


Basic Example

A few predefined events allowing you to see how the plugin looks like.

        
            

        <div id="calendar"></div>

      
        
    
        
            

          $('#calendar').fullCalendar({
            header: {
                left: 'prev,next today',
                center: 'title',
                right: 'month,agendaWeek,agendaDay,listWeek'
            },
            defaultDate: '2018-11-16',
            navLinks: true,
            eventLimit: true,
            events: [{
                    title: 'Front-End Conference',
                    start: '2018-11-16',
                    end: '2018-11-18'
                },
                {
                    title: 'Hair stylist with Mike',
                    start: '2018-11-20',
                    allDay: true
                },
                {
                    title: 'Car mechanic',
                    start: '2018-11-14T09:00:00',
                    end: '2018-11-14T11:00:00'
                },
                {
                    title: 'Dinner with Mike',
                    start: '2018-11-21T19:00:00',
                    end: '2018-11-21T22:00:00'
                },
                {
                    title: 'Chillout',
                    start: '2018-11-15',
                    allDay: true
                },
                {
                    title: 'Vacation',
                    start: '2018-11-23',
                    end: '2018-11-29'
                },
            ]
        });
      
        
    

Dynamically added events

Find out how easy it is to add new events with the Full Calendar plugin! One button, and the event is already in your calendar.

        
            

        <div id="calendar"></div>

      
        
    
        
            

        $('#calendar').fullCalendar({
          header: {
            left: 'prev,next today',
            center: 'addEventButton',
            right: 'month,agendaWeek,agendaDay,listWeek'
          },
          defaultDate: '2018-11-16',
          navLinks: true,
          editable: true,
          eventLimit: true,
          events: [{
              title: 'Simple static event',
              start: '2018-11-16',
              description: 'Super cool event'
            },
  
          ],
          customButtons: {
            addEventButton: {
              text: 'Add new event',
              click: function () {
                var dateStr = prompt('Enter date in YYYY-MM-DD format');
                var date = moment(dateStr);
  
                if (date.isValid()) {
                  $('#calendar').fullCalendar('renderEvent', {
                    title: 'Dynamic event',
                    start: date,
                    allDay: true
                  });
                } else {
                  alert('Invalid Date');
                }
  
              }
            }
          },
          dayClick: function (date, jsEvent, view) {
            var date = moment(date);
  
            if (date.isValid()) {
              $('#calendar').fullCalendar('renderEvent', {
                title: 'Dynamic event from date click',
                start: date,
                allDay: true
              });
            } else {
              alert('Invalid');
            }
          },
        });

      
        
    

Events with tooltips

You can easily add tooltip to an event in the calendar. This way you can easily remember what this event is all about.

        
            

        <div id="calendar"></div>

      
        
    
        
            

          $('#calendar').fullCalendar({
            defaultView: 'month',
            defaultDate: '2018-11-12',

            eventRender: function (eventObj, $el) {
                $el.popover({
                    title: eventObj.title,
                    content: eventObj.description,
                    trigger: 'hover',
                    placement: 'top',
                    container: 'body'
                });
            },

            events: [{
                    title: 'All Day Event',
                    description: 'description for All Day Event',
                    start: '2018-11-01'
                },
                {
                    title: 'Long Event',
                    description: 'description for Long Event',
                    start: '2018-10-07',
                    end: '2018-11-10'
                },
                {
                    id: 999,
                    title: 'Repeating Event',
                    description: 'description for Repeating Event',
                    start: '2018-11-09T16:00:00'
                },
                {
                    id: 999,
                    title: 'Repeating Event',
                    description: 'description for Repeating Event',
                    start: '2018-11-16T16:00:00'
                },
                {
                    title: 'Conference',
                    description: 'description for Conference',
                    start: '2018-11-11',
                    end: '2018-11-13'
                },
                {
                    title: 'Meeting',
                    description: 'description for Meeting',
                    start: '2018-11-12T10:30:00',
                    end: '2018-11-12T12:30:00'
                },
                {
                    title: 'Lunch',
                    description: 'description for Lunch',
                    start: '2018-11-12T12:00:00'
                },
                {
                    title: 'Meeting',
                    description: 'description for Meeting',
                    start: '2018-11-12T14:30:00'
                },
                {
                    title: 'Birthday Party',
                    description: 'description for Birthday Party',
                    start: '2018-11-13T07:00:00'
                },
                {
                    title: 'Click for Google',
                    description: 'description for Click for Google',
                    url: 'http://google.com/',
                    start: '2018-11-28'
                }
            ]
        });

      
        
    

Movable events

Didn't you do something today? Set it aside for tomorrow! Full Calendar allows you to move events between other days.

        
            

        <div id="calendar"></div>

      
        
    
        
            

          $('#calendar').fullCalendar({
            header: {
                left: 'prev,next today',
                center: 'title',
                right: 'month,agendaWeek,agendaDay,listWeek'
            },
            defaultDate: '2018-11-16',
            navLinks: true,
            editable: true,
            eventLimit: true,
            events: [{
                    title: 'All Day Event',
                    start: '2018-11-01'
                },
                {
                    title: 'Long Event',
                    start: '2018-11-07',
                    end: '2018-11-10'
                },
                {
                    id: 999,
                    title: 'Repeating Event',
                    start: '2018-11-09T16:00:00'
                },
                {
                    id: 999,
                    title: 'Repeating Event',
                    start: '2018-11-16T16:00:00'
                },
                {
                    title: 'Conference',
                    start: '2018-11-11',
                    end: '2018-11-13'
                },
                {
                    title: 'Meeting',
                    start: '2018-11-12T10:30:00',
                    end: '2018-11-12T12:30:00'
                },
                {
                    title: 'Lunch',
                    start: '2018-11-12T12:00:00'
                },
                {
                    title: 'Meeting',
                    start: '2018-11-12T14:30:00'
                },
                {
                    title: 'Happy Hour',
                    start: '2018-11-12T17:30:00'
                },
                {
                    title: 'Dinner',
                    start: '2018-11-12T20:00:00'
                },
                {
                    title: 'Birthday Party',
                    start: '2018-11-13T07:00:00'
                },
                {
                    title: 'Click for Google',
                    url: 'https://google.com/',
                    start: '2018-11-28'
                }
            ]
        });

      
        
    

Long dynamic events

Select few days and create an event with one click! Just like in Google Calendar.

        
            

        <div id="calendar"></div>

      
        
    
        
            

        $('#calendar').fullCalendar({
          header: {
            left: 'prev,next today',
            center: 'addEventButton',
            right: 'month,agendaWeek,agendaDay,listWeek'
          },
          defaultDate: '2018-11-16',
          navLinks: true,
          editable: true,
          eventLimit: true,
          events: [{
              title: 'Simple static event',
              start: '2018-11-16',
              description: 'Super cool event'
            },
  
          ],
          customButtons: {
            addEventButton: {
              text: 'Add new event',
              click: function () {
                var dateStr = prompt('Enter date in YYYY-MM-DD format');
                var date = moment(dateStr);
  
                if (date.isValid()) {
                  $('#calendar').fullCalendar('renderEvent', {
                    title: 'Dynamic event',
                    start: date,
                    allDay: true
                  });
                } else {
                  alert('Invalid Date');
                }
  
              }
            }
          },
          dayClick: function (date, jsEvent, view) {
            var date = moment(date);
  
            if (date.isValid()) {
              $('#calendar').fullCalendar('renderEvent', {
                title: 'Dynamic event from date click',
                start: date,
                allDay: true
              });
            } else {
              alert('Invalid');
            }
          },
        });

      
        
    

Full Calendar options list

Below options are available to use in Full Calendar.

Name Type Default Description Available values Example
header object left: 'title', center: ' ', right: 'today prev, next' Defines the buttons and title at the top of the calendar. title, prev, next, prevYear, nextYear, today header: {left: 'title', center: ' ', right: 'today prev, next' }
footer object false Defines the controls at the bottom of the calendar. title, prev, next, prevYear, nextYear, today footer: {left: 'title', center: ' ', right: 'today prev, next' }
titleFormat object - Determines the text that will be displayed in the header’s title. - titleFormat: 'MM/YYYY'
buttonText object buttonText: {today: 'today', month: 'month, week: 'week', day: 'day', list: 'list'} Defines the buttons and title at the top of the calendar. - buttonText: {today: 'today', month: 'month, week: 'week', day: 'day', list: 'list'}
buttonIcons object prev: 'left-single-arrow', next: 'right-single-arrow', prevYear: 'left-double-arrow', nextYear: 'right-double-arrow' Icons that will be displayed in buttons of the header/footer. 'left-single-arrow', 'right-single-arrow', 'left-double-arrow', 'right-double-arrow' buttonIcons: {next: 'right-single-arrow', prevYear: 'left-double-arrow', nextYear: 'right-double-arrow'}
customButtons object - Defines custom buttons that can be used in the header/footer. Specify a hash of custom buttons. Then reference them from the header setting. text, click, icon, themeIcon, bootstrapGlyphicon customButtons: { myCustomButton: { text: 'Custom', click: function() { alert('Clicked the custom button'); } } }, header: {left: 'myCustomButton', center: ' ', right: ' ' }

Below events are available to use in Full Calendar.

Name Type Description Example
eventClick any The event is fired when user has clicked the event. eventClick: function(calEvent, jsEvent, view) { console.log('click', calEvent.title); }
eventMouseover any The event is fired when user has mouseover the event. eventMouseover: function(calEvent, jsEvent, view) { console.log('mouseover', calEvent); }
eventMouseout any The event is fired when user has mouseout the event. eventMouseout: function(calEvent, jsEvent, view) { console.log('mouseout', calEvent); }

Full Calendar - getting started : download & setup


Download

This plugin requires a purchase.

Buy full calendar plugin

Installation tutorial

Note: The video below shows a different plugin, but it does not matter. The installation process is the same for all plugins.

Angular Bootstrap Calendar

Angular Calendar - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

The Angular Bootstrap calendar plugin is an extension that allows you to create calendar functionality. Thanks to this plugin, you will be able to easily create, delete and manage events.

Live preview

Basic example

To update calendar events array dynamically, the mdb-calendar component uses Angular's change detection mechanism. Since Angular only checks if the array reference has changed, the component will not detect a change when you add a new event with the push method. Instead, you can use the spread operator like in examples below:

        
            
            <mdb-calendar
              [events]="events"
              eventEdited)="onEventEdit($event)"
              (eventAdded)="onEventAdd($event)"
              (eventDeleted)="onEventDelete($event)"
            >
            </mdb-calendar>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { startOfDay, endOfDay } from 'date-fns';
            import { CalendarEvent } from 'mdb-calendar';

            @Component({
              selector: 'calendar-example',
              templateUrl: './calendar-example.component.html',
              styleUrls: ['./calendar-example.component.css']
            })
            export class AppComponent {
              events: CalendarEvent[] = [
                {
                  id: 'mdb-calendar-event-1',
                  startDate: new Date(startOfDay(new Date())),
                  endDate: new Date(endOfDay(new Date(2019, 2, 9))),
                  name: 'Conference',
                  color: 'info',
                },
                {
                  id: 'mdb-calendar-event-2',
                  startDate: new Date(startOfDay(new Date())),
                  endDate: new Date(endOfDay(new Date())),
                  name: 'Meeting',
                  color: 'success'
                },
              ];

              generateUid() {
                const uid = Math.random().toString(36).substr(2, 9);
                return `mdb-calendar-event-${uid}`;
              }

              onEventEdit(event: CalendarEvent) {
                const oldEvent = this.events.findIndex( test => test.id === event.id);
                this.events[oldEvent] = event;
                this.events = [...this.events];
              }

              onEventAdd(event: CalendarEvent) {
                event.id = this.generateUid();
                this.events = [...this.events, event];
              }

              onEventDelete(deletedEvent: CalendarEvent) {
                const eventIndex = this.events.findIndex( event => event.id === deletedEvent.id);
                this.events.splice(eventIndex, 1);
                this.events = [...this.events];
              }
            }
          
        
    

Add events

You can listen to (eventAdded) output and update your events array with a new event.

        
            
            <mdb-calendar [events]="events" (eventAdded)="onEventAdd($event)"></mdb-calendar>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { startOfDay, endOfDay } from 'date-fns';
            import { CalendarEvent } from 'mdb-calendar';

            @Component({
              selector: 'calendar-example',
              templateUrl: './calendar-example.component.html',
              styleUrls: ['./calendar-example.component.css']
            })
            export class AppComponent {
              events: CalendarEvent[] = [
                {
                  id: 'mdb-calendar-event-1',
                  startDate: new Date(startOfDay(new Date())),
                  endDate: new Date(endOfDay(new Date(2019, 2, 9))),
                  name: 'Conference',
                  color: 'info',
                },
                {
                  id: 'mdb-calendar-event-2',
                  startDate: new Date(startOfDay(new Date())),
                  endDate: new Date(endOfDay(new Date())),
                  name: 'Meeting',
                  color: 'success'
                },
              ];

              generateUid() {
                const uid = Math.random().toString(36).substr(2, 9);
                return `mdb-calendar-event-${uid}`;
              }

              onEventAdd(event: CalendarEvent) {
                event.id = this.generateUid();
                this.events = [...this.events, event];
              }
            }
          
        
    

Edit events

You can listen to (eventEdited) output and update specific events in your events array.

        
            
            <mdb-calendar [events]="events" (eventEdited)="onEventEdit($event)"></mdb-calendar>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { startOfDay, endOfDay } from 'date-fns';
            import { CalendarEvent } from 'mdb-calendar';

            @Component({
              selector: 'calendar-example',
              templateUrl: './calendar-example.component.html',
              styleUrls: ['./calendar-example.component.css']
            })
            export class AppComponent {
              events: CalendarEvent[] = [
                {
                  id: 'mdb-calendar-event-1',
                  startDate: new Date(startOfDay(new Date())),
                  endDate: new Date(endOfDay(new Date(2019, 2, 9))),
                  name: 'Conference',
                  color: 'info',
                },
                {
                  id: 'mdb-calendar-event-2',
                  startDate: new Date(startOfDay(new Date())),
                  endDate: new Date(endOfDay(new Date())),
                  name: 'Meeting',
                  color: 'success'
                },
              ];

              onEventEdit(event: CalendarEvent) {
                const oldEvent = this.events.findIndex( test => test.id === event.id);
                this.events[oldEvent] = event;
                this.events = [...this.events];
              }
            }
          
        
    

Delete events

You can listen to (eventDeleted) output and update your events array accordingly.

        
            
            <mdb-calendar [events]="events" (eventDeleted)="onEventDelete($event)"></mdb-calendar>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { startOfDay, endOfDay } from 'date-fns';
            import { CalendarEvent } from 'mdb-calendar';

            @Component({
              selector: 'calendar-example',
              templateUrl: './calendar-example.component.html',
              styleUrls: ['./calendar-example.component.css']
            })
            export class AppComponent {
              events: CalendarEvent[] = [
                {
                  id: 'mdb-calendar-event-1',
                  startDate: new Date(startOfDay(new Date())),
                  endDate: new Date(endOfDay(new Date(2019, 2, 9))),
                  name: 'Conference',
                  color: 'info',
                },
                {
                  id: 'mdb-calendar-event-2',
                  startDate: new Date(startOfDay(new Date())),
                  endDate: new Date(endOfDay(new Date())),
                  name: 'Meeting',
                  color: 'success'
                },
              ];

              onEventDelete(deletedEvent: CalendarEvent) {
                const eventIndex = this.events.findIndex( event => event.id === deletedEvent.id);
                this.events.splice(eventIndex, 1);
                this.events = [...this.events];
              }
            }
          
        
    

Options usage

        
            
              <mdb-calendar
                [events]="events"
                [options]="calendarOptions"
                (eventEdited)="onEventEdit($event)"
                (eventAdded)="onEventAdd($event)"
                (eventDeleted)="onEventDelete($event)"
              >
              </mdb-calendar>
            
        
    
        
            
              import { Component } from '@angular/core';
              import { startOfDay, endOfDay } from 'date-fns';
              import { CalendarEvent, MdbCalendarOptions } from 'mdb-calendar';
              @Component({
              selector: 'calendar-example',
              templateUrl: './calendar-example.component.html',
              styleUrls: ['./calendar-example.component.css']
              })
              export class AppComponent {
                calendarOptions: MdbCalendarOptions = {
                  firstDayOfWeek: 'Monday',
                  monthViewBtnTxt: 'Month view',
                  weekViewBtnTxt: 'Week view',
                  listViewBtnTxt: 'List view',
                  todayBtnTxt: 'Go to today',
                  eventAddTitle: 'Custom add modal title',
                  eventEditTitle: 'Custom edit modal title',
                  eventCancelBtnTxt: 'Close',
                  eventAddBtnTxt: 'Save new event',
                  eventEditBtnTxt: 'Update event data',
                  eventDeleteBtnTxt: 'Delete event'
                };

                events: CalendarEvent[] = [
                  {
                    id: 'mdb-calendar-event-1',
                    startDate: new Date(startOfDay(new Date())),
                    endDate: new Date(endOfDay(new Date(2019, 2, 9))),
                    name: 'Conference',
                    color: 'info',
                  },
                  {
                    id: 'mdb-calendar-event-2',
                    startDate: new Date(startOfDay(new Date())),
                    endDate: new Date(endOfDay(new Date())),
                    name: 'Meeting',
                    color: 'success'
                  },
                ];

                generateUid() {
                  const uid = Math.random().toString(36).substr(2, 9);
                  return `mdb-calendar-event-${uid}`;
                }

                onEventEdit(event: CalendarEvent) {
                  const oldEvent = this.events.findIndex( test => test.id === event.id);
                  this.events[oldEvent] = event;
                  this.events = [...this.events];
                }

                onEventAdd(event: CalendarEvent) {
                  event.id = this.generateUid();
                  this.events = [...this.events, event];
                }

                onEventDelete(deletedEvent: CalendarEvent) {
                  const eventIndex = this.events.findIndex( event => event.id === deletedEvent.id);
                  this.events.splice(eventIndex, 1);
                  this.events = [...this.events];
                }
              }
            
        
    

Events colors

Here is a list of available events colors:

  • info
  • success
  • warning
  • danger
  • primary
  • secondary

Installation guide

Step 1: Create a new Angular application using the Angular CLI command:

ng new application-name --style=scss --routing=false

Step 2: Download this plugin from your user dashboard

Step 3: Extract the downloaded archive from Step 2 and copy the mdb-calendar-{version-number}.tgz file to your application root directory

Step 4: Install the mdb-calendar-{version-number}.tgz package in your application by executing the below command in the application's terminal:

npm install mdb-calendar-{version-number.tgz} --save

For example, the installation command should look like the following: npm install mdb-calendar-8.0.0.tgz --save

Step 5: Follow the Quickstart Guide to add MDB Angular Free or MDB Angular Pro (depending on which version you're using) to the application

Step 6: Import the MdbCalendarModule in the app.module.ts file

Step 7: Copy the basic example from this site and enjoy your new plugin!

Step 1: Download this plugin from your user dashboard

Step 2: Extract the downloaded archive from Step 1 and copy the mdb-calendar-{version-number}.tgz file to your application root directory

Step 3: Install the mdb-calendar-{version-number}.tgz package in your application by executing the below command in the application's terminal:

npm install mdb-calendar-{version-number.tgz} --save

For example, the installation command should look like the following: npm install mdb-calendar-8.0.0.tgz --save

Step 4: Follow the Quickstart Guide to add MDB Angular Free or MDB Angular Pro (depending on which version you're using) to the application

Step 5: Import the MdbCalendarModule in the app.module.ts file

Step 6: Copy the basic example from this site and enjoy your new plugin!

Angular Calendar - API

In this section you will find informations about the required modules and the available inputs, outputs, methods and events of the calendar plugin.


Download

This plugin requires a purchase.

Buy Calendar plugin

Components

MdbCalendarComponent

Selector: mdb-calendar

Type: MdbCalendarComponent


Inputs

Name Type Default Description Example
defaultView 'month' / 'week' / 'list' 'month' Sets display of calendar [defaultView]="week"
events CalendarEvent[] - Array of calendar events [events] = [ { id: 'mdb-calendar-event-1', startDate: new Date(startOfDay(new Date())), endDate: new Date(endOfDay(new Date(2019, 2, 9))), name: 'Conference', color: 'info', }, ];
editable boolean true Specifies whether events should be editable [editable]="false"
months string[] [ 'January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December' ]; Array of month names [months] = [ 'January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December' ];
monthsShort string[] [ 'Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec' ]; Array of months names [monthsShort] = [ 'Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec' ];
weekDays string[] [ 'Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday' ]; Array of week days names [weekDays] = [ 'Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday' ];
weekDaysShort string[] ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat']; Array of week days short names [weekDaysShort] = ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'];

Outputs

Name Type Description Example
eventAdded EventEmitter<CalendarEvent> Event fired when new event is added (eventAdded)="onEventAdd($event)"
eventDeleted EventEmitter<CalendarEvent> Event fired when event is deleted (eventDeleted)="onEventDelete($event)"
eventEdited EventEmitter<CalendarEvent> Event fired when event is edited (eventEdited)="onEventEdit($event)"
listChanged EventEmitter<{startDate: Date, endDate: Date}> Event fired on date change in list view (listChanged)="onListChange($event)"
monthChanged EventEmitter<{index: number, month: string, year: number}> Event fired on date change in month view (monthChanged)="onMonthChange($event)"
weekChanged EventEmitter<{startDate: Date, endDate: Date}> Event fired on date change in week view (weekChanged)="onWeekChange($event)"
CalendarEvent

Calendar event properties:

Name Type Description
id string Unique event id
name string Event name
startDate Date Event start date
endDate Date Event end date
color string Event color class

Options

Name Type Default Description Example
eventAddBtnTxt string 'Add' Text content of confirmation button when adding new event eventAddBtnTxt: 'Your custom button text'
eventAddTitle string 'Add new event' Modal title when adding new event eventAddTitle: 'Your custom title'
eventCancelBtnTxt string 'Cancel' Text content of cancel button when adding new event eventCancelBtnTxt: 'Your custom button text'
eventDeleteBtnTxt string 'Delete' Text content of delete button when editing event eventDeleteBtnTxt: 'Your custom button text'
eventEditBtnTxt string 'Edit' Text content of confirmation button when editing event eventEditBtnTxt: 'Your custom button text'
eventEditTitle string 'Edit event' Modal title when editing event eventEditTitle: 'Your custom title'
firstDayOfWeek string 'Sunday' Specifies first day of week on the calendar firstDayOfWeek: 'Monday'
listViewBtnTxt string 'List' Text content of list view button listViewBtnTxt: 'Your custom button text'
monthViewBtnTxt string 'Month' Text content of month view button monthViewBtnTxt: 'Your custom button text'
todayBtnTxt string 'Today' Text content of today button todayBtnTxt: 'Your custom button text'
weekViewBtnTxt string 'Week' Text content of week view button weekViewBtnTxt: 'Your custom button text'

Methods

You can get access to tabs methods from another component. Add template reference variable to your mdb-calendar component in HTML file

<mdb-calendar #calendar></mdb-calendar>

Then in your typescript file use @ViewChild decorator to get access to MdbCalendar methods

@ViewChild('calendar', { static: true }) calendar: MdbCalendarComponent

Name Description Example
onViewChange Sets display for month/week/list this.calendar.onViewChange('week')

Vue Bootstrap Calendar

Vue Calendar Plugin - Bootstrap 4 & Material Design. Examples & tutorial.

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a 50% discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
get 50% discount on MDB5 PRO

Vue Bootstrap Calendar Plugin is an extension that allows you to create calendar functionality.

Thanks to this plugin you will be able to easily create new events, manage current events and move existing events between other days.


Basic Example

A few predefined events allowing you to see how the plugin looks like.

        
            
                <template>
                  <mdb-calendar :events="events" />
                </template>
  
              
        
    
        
            
              <script>
                import {
                  mdbCalendar
                } from 'mdb-calendar'
                export default {
                  name: 'app',
                  components: {
                    mdbCalendar
                  },
                  data() {
                    return {
                      events: [
                        {
                          title: 'Meeting',
                          start: new Date(new Date().getFullYear(), new Date().getMonth(), new Date().getDate() + 7),
                          end: new Date(new Date().getFullYear(), new Date().getMonth(), new Date().getDate() + 8, 23, 59,
                            59),
                          color: 'warning'
                        },
                        {
                          title: 'Front-End Conference',
                          start: new Date(new Date().getFullYear(), new Date().getMonth(), new Date().getDate() - 1),
                          end: new Date(new Date().getFullYear(), new Date().getMonth(), new Date().getDate() + 3, 23, 59,
                            59),
                          color: 'danger'
                        },
                        {
                          title: 'Feedback',
                          start: new Date(new Date().getFullYear(), new Date().getMonth(), new Date().getDate() + 13),
                          end: new Date(new Date().getFullYear(), new Date().getMonth(), new Date().getDate() + 13, 23, 59,
                            59),
                          color: 'success'
                        }
                      ]
                    }
                  }
                }
              </script>
              
        
    

Main features

Hold Ctrl key and pick two days to add a long event.
For quick edit simply drag&drop an event between different dates.

MDB Vue Calendar - API


Download

This plugin requires a purchase.

Buy Vue Calendar Plugin

Vue Calendar props list

All props, which are ready to use in Vue Calendar.

Name Type Default Description Example
defaultDate Date new Date() Changes the starting calendar date <mdb-calendar :defaultDate="new Date(2019, 0, 1)" />
defaultView String 'month' Changes the default calendar view (month/week/list) <mdb-calendar defaultView="list" />
monthNames Array ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'] Thanks to this prop You're able to change month's names, for example if You want to change the calendar language. <mdb-calendar :monthNames="[]" />
shortMonthNames Array ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'] Thanks to this prop You're able to change month's short names. <mdb-calendar :shortMonthNames="[]" />
dayNames Array ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'] Thanks to this prop You're able to change day's names. <mdb-calendar :dayNames="[]" />
shortDayNames Array ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'] Thanks to this prop You're able to change day's short names. <mdb-calendar :shortDayNames="[]" />
todayText String 'Today' Changes today's text <mdb-calendar todayText="Now" />
events Array / Boolean false Applies pre-defined events to the calendar <mdb-calendar :events="events: [{...}]" />
@getEvents Event - Event emits new events added to the calendar. <mdb-calendar @getEvents="handleEvents" />